Retrieve a list of all users
curl --request GET \
--url https://production.runalloy.com/users \
--header 'Authorization: <authorization>' \
--header 'x-api-version: <x-api-version>'import requests
url = "https://production.runalloy.com/users"
headers = {
"Authorization": "<authorization>",
"x-api-version": "<x-api-version>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-version': '<x-api-version>'}
};
fetch('https://production.runalloy.com/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"userId": "6323d7c9122ae69742a5d0a2",
"username": "gregg",
"fullName": "Gregg Mojica"
},
{
"userId": "6323d7cf9ae88f59bf66ce63",
"username": "sara",
"fullName": "Sara Du"
},
{
"userId": "6323d7e159479ba26d80fcc8",
"fullName": "William Jackson"
},
{
"userId": "6323d7f090020baf1091b151",
"username": "izzy@gmail.com",
"fullName": "Izzy Jackson"
},
{
"userId": "6323d7da4b764bfe02cacaef",
"username": "jose@example.com",
"fullName": "Jose Santos"
}
]
}{
"message": "Unauthorized"
}Users
Retrieve a list of all users
Returns a list of all users created in your Embedded account.
GET
/
users
Retrieve a list of all users
Headers
The version of the API to use. The current API version is 2025-09.
Query Parameters
You can pass a parentWorkflowId if you wish to list users for a specific workflow.
Response
200
Show child attributes
Show child attributes
⌘I

